org.apache.lucene.spatial3d.geom

## Interface GeoCircle

All Superinterfaces:
  Bounded, GeoArea, GeoAreaShape, GeoDistance, GeoDistanceShape, GeoMembershipShape, GeoOutsideDistance, GeoShape, GeoSizeable, Membership, PlanetObject, SerializableObject

All Known Subinterfaces:
  GeoPointShape

    public interface GeoCircle
    extends GeoDistanceShape, GeoSizeable

Interface describing circular area with a center and radius.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

`CONTAINS, DISJOINT, OVERLAPS, WITHIN`

### Method Summary

### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoDistanceShape

`getDistanceBounds`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoAreaShape

`intersects`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoShape

`getEdgePoints, intersects`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.Bounded

`getBounds`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

`getPlanetModel`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

`readBitSet, readBoolean, readByteArray, readClass, readDouble, readHeterogeneousArray, readHomogeneousArray, readInt, readLong, readObject, readObject, readObject, readObject, readPlanetObject, readPointArray, readPolygonArray, readString, write, writeBitSet, writeBoolean, writeByteArray, writeClass, writeDouble, writeHeterogeneousArray, writeHeterogeneousArray, writeHomogeneousArray, writeHomogeneousArray, writeInt, writeLong, writeObject, writePlanetObject, writePointArray, writePointArray, writePolygonArray, writePolygonArray, writeString`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoOutsideDistance

`computeOutsideDistance, computeOutsideDistance`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

`isWithin, isWithin`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

`getRelationship`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoDistance

`computeDeltaDistance, computeDeltaDistance, computeDistance, computeDistance`

### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoSizeable

`getCenter, getRadius`